Bug 732076 - grub2 spends one hour trying to read non-existent floppy disk
Summary: grub2 spends one hour trying to read non-existent floppy disk
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: grub2
Version: rawhide
Hardware: i686
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-19 17:33 UTC by cornel panceac
Modified: 2012-04-16 17:48 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-16 17:48:44 UTC


Attachments (Terms of Use)

Description cornel panceac 2011-08-19 17:33:22 UTC
Description of problem:
at the end of f16 rc5 i586 dvd install, grub2 tried for about an hour to do something with an non-existent fd0, then failed to install onto the partition's boot sector. unfortunately, this meant the newly installed system is not booting without further actions.

Version-Release number of selected component (if applicable):
the version from f16 alpha rc5 x86 dvd

How reproducible:


Steps to Reproduce:
1. install default graphical system package selection on a custom partition (sda7, here) using f16 alpha rc5 x86 dvd
2.
3.
  
Actual results:
at the end of the install, grub2 requires one hour to fail on detecting floppy disk / drive and also to fail to install on the target partition's boot sector


Expected results:
i expect for grub2 to figure out that the device or disk is missing and proceed further in a very short time (several seconds). i also expect grub2 to install on the boot sector even if the floppy drive or disk is not present.

Additional info:
the output in ctrl-alt-f4 is similar tot the one i reported here:
https://bugzilla.redhat.com/show_bug.cgi?id=493377

the install target was the boot (and root) partition's boot sector (sda7).

Comment 1 Fedora Admin XMLRPC Client 2011-09-16 19:07:59 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Jonathan Kamens 2011-10-07 08:08:16 UTC
Workaround: run /sbin/grub2-mkdevicemap before running /sbin/grub2-install.

Comment 3 Jonathan Kamens 2011-10-07 08:08:45 UTC
(with --no-floppy, that is. Apparently grub2-install isn't passing --no-floppy to grub2-mkdevicemap?)

Comment 4 Mads Kiilerich 2011-10-17 20:55:52 UTC
anaconda should now
1. first write device.map (but not by invoking mkdevicemap)
2. run grub2-install with --no-floppy

Do that work for you on this machine?


Note You need to log in before you can comment on or make changes to this bug.